#!/bin/sh
# test we are root
if [ "$(id -u)" != "0" ]; then
   echo "run as root now exitting"
   exit 1
fi

export CFLAGS="-march=armv8-a+crc -mtune=cortex-a72 -Os -pipe" 
export CXXFLAGS="-march=armv8-a+crc -mtune=cortex-a72 -Os -pipe \
-fno-exceptions -fno-rtti"

LOOP=/tmp/tcloop/libtool/usr/local/share/libtool/build-aux
P=libglade
V=2.6.4
SRC=$P-$V
USER=`cat /etc/sysconfig/tcuser`
LIST="compiletc wget squashfs-tools zsync gtk2-dev libxml2-dev libtool  "
for Z in $LIST    
    do 
    su -c "tce-load -i $Z" $USER
done

cd /tmp
su -c "/usr/local/bin/wget -nc --no-check-certificate \
http://ftp.gnome.org/pub/gnome/sources/$P/2.6/$SRC.tar.bz2" $USER
tar jxvf $SRC*bz2
cd $SRC
sed '/DG_DISABLE_DEPRECATED/d' -i glade/Makefile.in
cp $LOOP/config.sub .
cp $LOOP/config.guess .
./configure --prefix=/usr/local --disable-static
# Some packages require libglade-convert to build correctly
make -j5 # takes seconds 
make install-strip DESTDIR=/tmp/$P  
cd /tmp

# dev
#####
mkdir -p $P-dev/usr/local/lib/
mv $P/usr/local/include $P-dev/usr/local/
mv $P/usr/local/lib/pkgconfig $P-dev/usr/local/lib/
mv $P/usr/local/lib/*a $P-dev/usr/local/lib/
chmod 644 $P-dev/usr/local/lib/*a

# main
######
# as convert not built
rm -rf $P/usr/local/bin
rm -rf $P/usr/local/share/gtk-doc

# TCZ them
#######  
LIST="$P $P-dev "
for Z in $LIST
do
	mksquashfs $Z $Z.tcz
	md5sum $Z.tcz > $Z.tcz.md5.txt
	cd $Z
	find usr -not -type d > /tmp/$Z.tcz.list
        sed 's|usr|/usr|g' -i /tmp/$Z.tcz.list
        cd /tmp
        zsyncmake $Z.tcz
done

ls -hal

echo 'Title:          libglade-dev.tcz
Description:    libglade devs 
Version:        2.6.4
Author:         James Henstridge
Original-site:  https://developer.gnome.org/libglade/stable/
Copying-policy: LGPL v 2
Size:           8K
Extension_by:   aus9
Tags:           glade
Comments:       dev files

Change-log:     2020/10/08 Original v 2.6.4 on 12x 
Current:        2020/10/08    ' > $P-dev.tcz.info

echo 'Title:          libglade.tcz
Description:    library for graphical interfaces  
Version:        2.6.4
Author:         James Henstridge
Original-site:  https://developer.gnome.org/libglade/stable/
Copying-policy: LGPL v 2
Size:           40K
Extension_by:   aus9
Tags:           glade
Comments:       library that provides interfaces for loading 
                graphical interfaces described in glade 
                xml files and for accessing the widgets built 
                in the loading process

Change-log:     2020/10/08 Original v 2.6.4 on 12x 
Current:        2020/10/08    ' > $P.tcz.info

echo 'libglade.tcz
gtk2-dev.tcz 
libxml2-dev.tcz 
libtool.tcz' > $P-dev.tcz.dep
echo 'gtk2.tcz' > $P.tcz.dep

